package com.ruoyi.system.mapper.zb;


import com.ruoyi.system.domain.zb.ZbDutyWorkConfig;
import com.ruoyi.system.domain.zb.ZbDutyWorkConfigExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ZbDutyWorkConfigMapper {
    long countByExample(ZbDutyWorkConfigExample example);

    int deleteByExample(ZbDutyWorkConfigExample example);

    int deleteByPrimaryKey(String id);

    int insert(ZbDutyWorkConfig record);

    int insertSelective(ZbDutyWorkConfig record);

    List<ZbDutyWorkConfig> selectByExampleWithBLOBs(ZbDutyWorkConfigExample example);

    List<ZbDutyWorkConfig> selectByExample(ZbDutyWorkConfigExample example);

    ZbDutyWorkConfig selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ZbDutyWorkConfig record, @Param("example") ZbDutyWorkConfigExample example);

    int updateByExampleWithBLOBs(@Param("record") ZbDutyWorkConfig record, @Param("example") ZbDutyWorkConfigExample example);

    int updateByExample(@Param("record") ZbDutyWorkConfig record, @Param("example") ZbDutyWorkConfigExample example);

    int updateByPrimaryKeySelective(ZbDutyWorkConfig record);

    int updateByPrimaryKeyWithBLOBs(ZbDutyWorkConfig record);

    int updateByPrimaryKey(ZbDutyWorkConfig record);
}